# $Revision: 1.41 $, $Date: 2010/01/28 18:21:57 $
#
# Conditional build:
%bcond_without	szip	# build without SZIP support
#
Summary:	Hierarchical Data Format library
Summary(pl.UTF-8):	Biblioteka HDF (Hierarchical Data Format)
Name:		hdf
Version:	4.2r4
Release:	3
Group:		Libraries
License:	Nearly BSD, but changed sources must be marked
Source0:	ftp://ftp.hdfgroup.org/HDF/HDF_Current/src/HDF%{version}.tar.gz
# Source0-md5:	cbcfcdb65f27b743c6001c17619704a8
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-man-pages.tar.bz2
# Source1-md5:	607df78cacc131b37dfdb443e61e789a
Patch0:		%{name}-shared.patch
Patch1:		%{name}-opt.patch
Patch2:		%{name}-morearchs.patch
URL:		http://hdf.ncsa.uiuc.edu/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gcc-fortran
BuildRequires:	groff
BuildRequires:	libjpeg-devel >= 6b
BuildRequires:	libtool >= 2:1.4d-3
BuildRequires:	netcdf-devel
%{?with_szip:BuildRequires:	szip-devel >= 2.0}
BuildRequires:	which
BuildRequires:	zlib-devel >= 1.1.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HDF is a multi-object file format that facilitates the transfer of
various types of scientific data between machines and operating
systems. Machines currently supported include the Cray, HP, Vax, Sun,
IBM RS/6000, Silicon Graphics, Macintosh, and IBM PC computers. HDF
allows self-definitions of data content and easy extensibility for
future enhancements or compatibility with other standard formats. HDF
includes Fortran and C calling interfaces,and utilities to prepare raw
image of data files or for use with other NCSA software. The HDF
library contains interfaces for storing and retrieving compressed or
uncompressed 8-bit and 24-bit raster images with palettes,
n-Dimensional scientific datasets and binary tables. An interface is
also included that allows arbitray grouping of other HDF objects.

%description -l pl.UTF-8
HDF jest wieloobiektowym formatem plików ułatwiającym przenoszenie
różnych danych naukowych pomiędzy różnymi komputerami i systemami
operacyjnymi. Aktualnie obsługiwane są m.in. Cray, HP, Vax, Sun, IBM
RS/6000, Silicon Graphics, Macintosh i IBM PC. HDF zawiera interfejsy
do Fortranu i C oraz narzędzia do przygotowywania plików z danymi.
Biblioteka pozwala na przechowywanie i odczytywanie skompresowanych
lub nie 8-bitowych i 24-bitowych obrazków z paletą, wielowymiarowych
zestawów danych itp.

%package devel
Summary:	HDF library development package
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki HDF
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libjpeg-devel >= 6b
%{?with_szip:Requires:	szip-devel >= 2.0}
Requires:	zlib-devel >= 1.1.3

%description devel
Header files for HDF library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki HDF.

%package static
Summary:	HDF static library
Summary(pl.UTF-8):	Statyczna biblioteka HDF
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of HDF library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki HDF.

%package progs
Summary:	HDF utilities
Summary(pl.UTF-8):	Narzędzia do plików HDF
Group:		Applications/File
Requires:	%{name} = %{version}-%{release}

%description progs
Utilities to convert from/to HDF format.

%description progs -l pl.UTF-8
Narzędzia do konwersji z i do formatu HDF.

%prep
%setup -q -n HDF%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

# evil -R
:> config/commence.am

%build
cp -f /usr/share/automake/config.* hdf/fmpool
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
# need to pass F77 to override F77=g77 in config/linux-gnu
%configure \
	F77="%{_target_cpu}-pld-linux-gfortran" \
	--enable-shared \
	%{?with_szip:--with-szlib}

%{__make} \
	libmfhdf_la_LIBADD=$(pwd)/hdf/src/libdf.la

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_mandir}/man{3,7},%{_includedir}/hdf}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_includedir}/*.{h,inc,f90} $RPM_BUILD_ROOT%{_includedir}/hdf

install man/gr_chunk.3 $RPM_BUILD_ROOT%{_mandir}/man3
mv -f $RPM_BUILD_ROOT%{_mandir}/man1/hdf.1 $RPM_BUILD_ROOT%{_mandir}/man7/hdf.7

# resolve conflict with netcdf
for i in ncdump ncgen ; do
	mv -f $RPM_BUILD_ROOT%{_bindir}/$i $RPM_BUILD_ROOT%{_bindir}/hdf$i
	mv -f $RPM_BUILD_ROOT%{_mandir}/man1/$i.1 $RPM_BUILD_ROOT%{_mandir}/man1/hdf$i.1
done

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING README release_notes/*
%attr(755,root,root) %{_libdir}/libdf.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdf.so.0
%attr(755,root,root) %{_libdir}/libmfhdf.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmfhdf.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdf.so
%attr(755,root,root) %{_libdir}/libmfhdf.so
%{_libdir}/libdf.la
%{_libdir}/libmfhdf.la
%{_includedir}/hdf
%{_mandir}/man3/gr_chunk.3*
%{_mandir}/man7/hdf.7*

%files static
%defattr(644,root,root,755)
%{_libdir}/libdf.a
%{_libdir}/libmfhdf.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: hdf.spec,v $
Revision 1.41  2010/01/28 18:21:57  arekm
- release 3

Revision 1.40  2009/07/12 13:20:55  arekm
- release 2

Revision 1.39  2009/04/24 05:01:05  qboosh
- updated to 4.2r4
- updated shared patch, removed obsolete link patch

Revision 1.38  2008/07/27 23:05:32  arekm
- release 2

Revision 1.37  2008-06-04 20:25:49  qboosh
- updated to 4.2r3
- updated shared,link patches, removed obsolete nosz patch

Revision 1.36  2008-06-04 17:30:38  qboosh
- updated Source0 URL

Revision 1.35  2007-02-13 07:47:11  glen
- tabs in preamble

Revision 1.34  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.33  2006/12/14 11:20:09  wrobell
- typo, rel. 5 (thanks qboosh for pointing out)

Revision 1.32  2006/12/14 10:09:05  wrobell
- fixed last changelog entry

Revision 1.31  2006/12/14 10:08:16  wrobell
- fix linking
- rel. 4

Revision 1.30  2006/03/05 11:32:13  qboosh
- removed obsolete SWAP workaround
- switched to gcc-fortran, release 3

Revision 1.29  2005/03/28 18:51:27  qboosh
- BR: netcdf-devel, release 2

Revision 1.28  2005/02/27 21:50:22  qboosh
- updated to 4.2r1, updated shared,opt patches, added nosz patch
- added szip bcond (on by default)

Revision 1.27  2004/08/31 14:44:50  snurf
- typos / formatting / etc.

Revision 1.26  2004/03/06 14:14:40  qboosh
- added morearchs patch (ppc,sparc)

Revision 1.25  2004/03/06 13:09:49  qboosh
- updated Source0 URL

Revision 1.24  2004/03/06 12:55:32  qboosh
- updated to 4.2r0, updated patches, try to build on all archs

Revision 1.23  2004/01/20 23:11:07  qboosh
- updated shared patch so linking in install shouldn't occur (evil anyway)

Revision 1.22  2004/01/20 22:55:21  qboosh
- something is (re)linked on install - pass CC too

Revision 1.21  2004/01/20 22:47:08  qboosh
- pass CC

Revision 1.20  2004/01/20 22:43:52  qboosh
- updated shared patch, pass libdir (for lib64)
- cosmetics, dropped libtool 1.4 support, release 3

Revision 1.19  2003/07/19 14:48:35  qboosh
- -devel R: libjpeg-devel,zlib-devel

Revision 1.18  2003/05/28 12:59:04  malekith
- massive attack: source-md5

Revision 1.17  2003/05/25 05:48:39  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2002/12/25 21:41:22  qboosh
- updated libtool usage in shared patch (always use --mode, link with *.la)
- updated libtool --tag usage
- use fixed libtool instead of hacking *.la

Revision 1.15  2002/12/16 18:34:10  wiget
- BR which

Revision 1.14  2002/12/16 18:24:24  wiget
- BR groff

Revision 1.13  2002/12/16 18:15:04  wiget
- and more

Revision 1.12  2002/12/16 18:10:36  wiget
- one athlon magic more

Revision 1.11  2002/12/16 17:53:54  wiget
- added athlon.patch

Revision 1.10  2002/11/25 14:16:43  ankry
- massive attack: no need for 755 for *.la

Revision 1.9  2002/09/19 16:28:45  marcus
- ExclusiveArch ix86,alpha - sparc and ppc currently not supported
- rel.2.

Revision 1.8  2002/07/14 18:09:28  qboosh
- updated to 4.1r5 (mainly bug fixes)

Revision 1.7  2002/04/26 23:45:58  qboosh
- updated shared patch for current libtool, fixed build

Revision 1.6  2002/04/24 22:18:38  ankry
- added man pages from Debian
- release 2

Revision 1.5  2002/02/23 02:30:45  kloczek
- adapterized.

Revision 1.4  2002/02/22 23:29:02  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 02:13:16  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/10/13 18:56:32  qboosh
- adapterized, BuildRequires: libtool

Revision 1.1  2001/03/26 16:22:00  qboosh
- from scratch - next library ImageMagick can use
